Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions
kHttpServerRequest Class Reference
kApi/Io

## Description

Supports HTTP server request parsing.

Inheritance diagram for kHttpServerRequest:

## Public Member Functions
kStatus | kHttpServerRequest_BeginRead (kHttpServerRequest request, k64u *length, kStream *stream)
| Begins reading the message body. More...
k64s | kHttpServerRequest_ContentLength (kHttpServerRequest request)
| Reports the total message length for a simple (non-chunk-encoded) message. More...
const kChar * | kHttpServerRequest_FindHeaderValue (kHttpServerRequest request, const kChar *name)
| Finds the header field value associated with the given header field name, if present. More...
kPointer | kHttpServerRequest_FirstHeader (kHttpServerRequest request)
| Gets a reference to the first header. More...
kBool | kHttpServerRequest_HasBody (kHttpServerRequest request)
| Reports whether the request has an associated message body. More...
kSize | kHttpServerRequest_HeaderCount (kHttpServerRequest request)
| Returns the total count of headers parsed from this request. More...
const kChar * | kHttpServerRequest_HeaderName (kHttpServerRequest request, kPointer header)
| Gets the field name associated with a header reference. More...
const kChar * | kHttpServerRequest_HeaderValue (kHttpServerRequest request, kPointer header)
| Gets the field value associated with a header reference. More...
kBool | kHttpServerRequest_IsChunkCoded (kHttpServerRequest request)
| Reports whether the message body is chunk-encoded. More...
kBool | kHttpServerRequest_IsWebSocketUpgrade (kHttpServerRequest request)
| Reports whether an upgrade to websocket protocol is requested. More...
const kChar * | kHttpServerRequest_Method (kHttpServerRequest request)
| Returns a string representing the HTTP request method (e.g. More...
kPointer | kHttpServerRequest_NextHeader (kHttpServerRequest request, kPointer header)
| Given a header reference, gets a reference to the next header. More...
const kChar * | kHttpServerRequest_Uri (kHttpServerRequest request)
| Returns a string representing the HTTP request URI (/resources/page.html). More...
const kChar * | kHttpServerRequest_UriPath (kHttpServerRequest request)
| Returns a string representing the HTTP request URI in absolute path form (/resources/page.html). More...
kVersion | kHttpServerRequest_Version (kHttpServerRequest request)
| Returns a value representing the HTTP version associated with this request. More...
Public Member Functions inherited from kObject
kAlloc | kObject_Alloc (kObject object)
| Gets the memory allocator associated with this object. More...
kStatus | kObject_Clone (kObject *object, kObject source, kAlloc allocator)
| Constructs a new object by copying an existing object, including any aggregated child elements. More...
kStatus | kObject_Destroy (kObject object)
| Destroys the object. More...
kStatus | kObject_Dispose (kObject object)
| Destroys the object and any aggregated child elements. More...
kBool | kObject_Equals (kObject object, kObject other)
| Determines whether the object is equal to another object. More...
kSize | kObject_HashCode (kObject object)
| Gets a hash code representing the state of this object. More...
kBool | kObject_Is (kObject object, kType type)
| Determines whether this object is an instance of the specified type. More...
kBool | kObject_IsShared (kObject object)
| Reports whether the object is currently shared (reference count greater than one). More...
kStatus | kObject_SetPool (kObject object, kObjectPool pool)
| Sets the object pool associated with this object. More...
kStatus | kObject_Share (kObject object)
| Increments the reference count associated with this object. More...
kSize | kObject_Size (kObject object)
| Estimates the memory consumed by this object, including any aggregated child elements. More...
kType | kObject_Type (kObject object)
| Returns the type of the object. More...

## Additional Inherited Members
Protected Member Functions inherited from kObject
kStatus | kObject_FreeMem (kObject object, void *mem)
| Protected method called by derived classes to free memory using the object's allocator. More...
kStatus | kObject_FreeMemRef (kObject object, void *mem)
| Protected method called by derived classes to free memory (and reset the provided memory pointer to kNULL) using the object's allocator. More...
kStatus | kObject_GetMem (kObject object, kSize size, void *mem)
| Protected method called by derived classes to allocate memory using the object's allocator. More...
kStatus | kObject_GetMemZero (kObject object, kSize size, void *mem)
| Protected method called by derived classes to allocate and zero memory using the object's allocator. More...
kStatus | kObject_Init (kObject object, kType type, kAlloc alloc)
| Protected method called by derived classes to initialize the kObject base class. More...
kStatus | kObject_VDisposeItems (kObject object)
| Protected virtual method that destroys any aggregated child objects associated with a collection. More...
kBool | kObject_VEquals (kObject object, kObject other)
| Protected virtual method that compares two objects for equality. More...
kSize | kObject_VHashCode (kObject object)
| Protected virtual method that calculates a hash code representing the object instance. More...
kStatus | kObject_VInitClone (kObject object, kObject source, kAlloc allocator)
| Protected virtual method that clones (makes a deep copy of) the specified source object. More...
kStatus | kObject_VRelease (kObject object)
| Protected virtual method that deallocates any resources owned by the object. More...
kSize | kObject_VSize (kObject object)
| Protected virtual method that calculates the total size (in bytes) of the object instance. More...

The documentation for this class was generated from the following file:

- Io/kHttpServerRequest.h